using Microsoft.Phone.Controls;
using System.IO.IsolatedStorage;
using System.IO;
using System.Diagnostics;

namespace WPReadAndDeleteFile
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();

            SupportedOrientations = SupportedPageOrientation.Portrait | SupportedPageOrientation.Landscape;

            try
            {
                IsolatedStorageFile file = IsolatedStorageFile.GetUserStoreForApplication();
                IsolatedStorageFileStream filestream = file.CreateFile("HelloWorld.txt");
                StreamWriter sw = new StreamWriter(filestream);
                sw.WriteLine("Hello World");
                sw.Flush();
                filestream.Close();

                //Öffnen einer Datei
                filestream = file.OpenFile("HelloWorld.txt", FileMode.Open);
                StreamReader sr = new StreamReader(filestream);
                Debug.WriteLine("Dateiinhalt: " + sr.ReadToEnd());
                filestream.Close();
                filestream.Dispose();


                //Löschen einer Datei
                if (file.FileExists("HelloWorld.txt"))
                {
                    file.DeleteFile("HelloWorld.txt");
                }

                if (file.FileExists("HelloWorld.txt"))
                {
                    Debug.WriteLine("Datei existiert noch");
                }
                else
                {
                    Debug.WriteLine("Datei wurde gelöscht");
                }
            }
            catch (IsolatedStorageException ise)
            {
                //Fehlerbehandlung
            }
        }
    }
}